# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Public Member Functions
Transistor Class Reference

## Public Member Functions

const std::string & | getBulk ()
| returns the name of the net connected to the transistor's bulk.
const std::string & | getDrain ()
| returns the name of the net connected to the transistor's drain.
const std::string & | getGate ()
| returns the name of the net connected to the transistor's gate.
const std::string & | getName ()
| returns the name of the transistor.
Parameters | getParameters ()
| returns the parameters of the instance.
const std::string & | getSource ()
| returns the name of the net connected to the transistor's source.
void | setBulk (const std::string &)
| sets the net of the transistor's bulk. More...
void | setDrain (const std::string &)
| sets the net of the transistor's drain. More...
void | setGate (const std::string &)
| sets the net of the transistor's gate. More...
void | setName (const std::string &)
| sets the transistor's name. More...
void | setSource (const std::string &)
| sets the net of the transistor's source. More...
| Transistor (const std::string &, Instance *)
| creates a new transistor. More...

## Detailed Description

This class describes a Transistor.

The transistor object is used to describe the inside of a Device. The goal is to explicit the connection between the transistor and the device's nets.

## Constructor & Destructor Documentation

## ◆ Transistor()

Transistor | ( | const std::string & | name,
|  | Instance * | instance
| ) |  |

creates a new transistor.

Parameters

  name | the name of the transistor.
  instance | the instance (device) to which the transistor belongs.

## Member Function Documentation

## ◆ setBulk()

void setBulk | ( | const std::string & | bulk | ) |

sets the net of the transistor's bulk.

Parameters

  name | the name of the net to connect to the bulk.

## ◆ setDrain()

void setDrain | ( | const std::string & | drain | ) |

sets the net of the transistor's drain.

Parameters

  name | the name of the net to connect to the drain.

## ◆ setGate()

void setGate | ( | const std::string & | gate | ) |

sets the net of the transistor's gate.

Parameters

  name | the name of the net to connect to the gate.

## ◆ setName()

void setName | ( | const std::string & | name | ) |

inline

sets the transistor's name.

Parameters

  name | the name of the transistor.

## ◆ setSource()

void setSource | ( | const std::string & | source | ) |

sets the net of the transistor's source.

Parameters

  name | the name of the net to connect to the source.